﻿try {
    $(function() {
        $(document).bind("pagebeforehide", function () {
            $('div.ladeAnimation').show();
        });
        $(document).bind("pageshow", function () {
            $('div.ladeAnimation').hide();
        });
        
        // Globale Variablen
        var notconnection = 'Keine Internetverbindung vorhanden!';
        var artikels = {}; // Obekt - enthält gesuchte Artikel(JSON, der vom Webserver zurückgegeben wird)
        var basketSumme = 0; // Speichert die Summe aller Artikels in Warenkorb(Integer)
        
        // Refresh notwendig um Jquerymobile styles anzuwenden
        $(document).bind('pagechange', function() {
            $('.ui-page-active .ui-listview').listview('refresh');
            $('.ui-page-active, .ui-footer, .rButton').trigger('create'); //  :jqmData(role=content)
        });
        // Löscht text Kein Artikel gefunden
        $('.ui-input-clear').live('click', function() {
            $('p#meldung').text('');
        });
        $('a.hidBack').click(function() {
            $('a#rButton').css('display', 'none');
        });
        // Formatiert Preisausgabe

        function number_format(num, dig, dec, sep) {
            x = new Array();
            s = (num < 0 ? "-" : "");
            num = Math.abs(num).toFixed(dig).split(".");
            r = num[0].split("").reverse();
            for (var i = 1; i <= r.length; i++) {
                x.unshift(r[i - 1]);
                if (i % 3 == 0 && i != r.length) x.unshift(sep);
            }
            return s + x.join("") + (num[1] ? dec + num[1] : "");
        } /**********************************************************  Artikelsausgabe Bereich   *************************************************/
        // Liest Templates für einzelnes Artikel aus, formattiert es und fühlt mit notwendigen Daten

        function getArtikel(val) {
            var fragen = '';
            if (val.image) {
                $('div#artikelTemplate').find('img').attr('src', val.image);
            } else {
                $('div#artikelTemplate').find('img').attr('src', '');
            }
            $('div#artikelTemplate').find('p.art_title').html(escapeHtmlEntities(utf8_decode(val.titel)));
            // EAN Anzeigen, wenn nötig
            /*if (val.ean) {
                $('div#artikelTemplate').find('p.art_ean').text('EAN: ' + val.ean);
            } else {
                $('div#artikelTemplate').find('p.art_ean').text('');
            }*/
            // Bereich Fragenausgabe
            if (val.questions) {
                $.each(val.questions, function(s, question) {
                    var tmp = $('#frageTemplate').clone().attr('id', 'qid_' + question.question_id).removeAttr('style'); //div #frageTemplate klonen, dabei id ändern, display: none entfernen
                    $.each(tmp, function(s, v) {
                        $(v).find('span.art_frage').html(escapeHtmlEntities(utf8_decode(question.frage)));
                        $(v).find('a').attr('href', '#popup_' + question.question_id); // Auf versteckten div verlinken
                        $(v).find('div.art_info').attr('id', 'popup_' + question.question_id).html(escapeHtmlEntities(utf8_decode(question.info))); // eindeutiger id für versteckten div(popup fenster) setzen
                        if (question.ant == 'ja') {
                            $(v).find('option.ant_nein').attr('selected', 'selected').next('option').removeAttr('selected').val(question.ant + ';' + question.wert);
                        } else {
                            $(v).find('option.ant_nein').val(question.ant + ';' + question.wert);
                        }
                        $(v).find('select').attr('name', 'qid_' + question.question_id);
                        fragen += v.outerHTML;
                    });
                });
            }
            // Ausgabe Zustand Wie neu | Sehr gut | Gut | Akzeptabel | Mangelhaft
            $('div#popup_more').remove();
            tmp = $('#optischZustand').clone().removeAttr('id').addClass('optZustand').show(); //div #optischZustand klonen, dabei id ändern, display: none entfernen
            $.each(tmp, function(s, v) {
                $(v).find('a').attr('href', '#popup_more');
                var info = (val.info != 0) ? val.info : 'Bitte allgemeinen optischen Zustand angeben.'
                $(v).find('div.more_info').attr('id', 'popup_more').html(utf8_decode(info));
                fragen += v.outerHTML;
            });
            $('div#artikelTemplate').find('div#art_description').html(fragen);
            if (val.zustand1) {
                if (val.wieneu) {
                    $('.optZustand select').append($('<option value="neu;-5" selected="selected">neu</option>'));
                    $('.optZustand select').append($('<option value="' + val.zustand1 + ';' + val.prozente1 + '" selected="selected">' + val.zustand1 + '</option>'));
                } else {
                    $('.optZustand select').append($('<option value="' + val.zustand1 + ';' + val.prozente1 + '">' + val.zustand1 + '</option>'));    
                }
            }
            if (val.zustand2) {
                $('.optZustand select').append($('<option/>', { 
                    value: val.zustand2 + ';' + val.prozente2,
                    text : val.zustand2 
                }));
            }
            if (val.zustand3) {
                $('.optZustand select').append($('<option/>', { 
                    value: val.zustand3 + ';' + val.prozente3,
                    text : val.zustand3 
                }));
            }
            if (val.zustand4) {
                $('.optZustand select').append($('<option/>', { 
                    value: val.zustand4 + ';' + val.prozente4,
                    text : val.zustand4 
                }));
            }
            if (val.zustand5) {
                $('.optZustand select').append($('<option/>', { 
                    value: val.zustand5 + ';' + val.prozente5,
                    text : val.zustand5 
                }));
            }
            if (val.zustand6) {
                $('.optZustand select').append($('<option value="' + val.zustand6 + ';' + val.prozente6 + '">' + val.zustand6 + '</option>'));
            }
            /*if (val.wieneu) {
                $('.optZustand select option:eq(1)').attr("selected","selected");
            }*/
            if (val.preisanfrage == '1') {
                $('div#artikelTemplate').find('p.art_preis').html('Wahrscheinlich verkaufen f&uuml;r bis zu <span id="art_preis">' + number_format(val.preis, 2, ',', '.') + '</span> EUR');
                $('p#anfrageMeld, p#anfrageWarning').show();
                $('a#artKorb').html('Preisanfrage starten');
            } else {
                $('div#artikelTemplate').find('p.art_preis').html('Wir zahlen: <span id="art_preis">' + number_format(val.preis, 2, ',', '.') + '</span> EUR');
                $('p#anfrageMeld, p#anfrageWarning').hide();
                $('a#artKorb').html('zum Verkaufskorb hinzuf&uuml;gen');
            }
            $('div#artikelTemplate').find('input#asin').val(val.asin);
            $('div#artikelTemplate').find('input#price').val(val.preis);
            $('div#artikelTemplate').find('input#anfrage').val(val.preisanfrage);
            artikelTemplate = $('div#artikelTemplate').html();
            return artikelTemplate;
        }

        function getArtikelDetails(artid) {
            $.each(artikels, function(key, val) {
                if (val.aid == artid) {
                    html = getArtikel(val);
                }
            });
            return html;
        }
        // Die Liste(Gefundene Produkten)) für ul #listview

        function getDetailsListe(data) {
            $('p#meldung').text('');
            var ausgabe = '';
            $.each(data, function(key, val) {
                ausgabe += '<li><a class="artlist"  id="art_' + val.aid + '"><img src="' + val.image + '" class="ui-li-thumb" /><span class="artikel-title">' + escapeHtmlEntities(utf8_decode(val.titel)) + '</span><br /><span class="ean">EAN: ' + val.ean + '</span><br /><span class="price">bis zu: <span>' + number_format(parseFloat(val.preis), 2, ',', '.') + '</span> EUR</span></a></li>';
            });
            return ausgabe;
        }
        // Wenn in der ul #listview ein Eintrag angeklickt wird, ereignis verarbeiten und html-code in das div #artdetail schreiben, jquerymobile wechselt dann automatisch zu div #artikelDetails
        $('a.artlist').live('click', function() {
            var atr = $(this).attr('id');
            var id = atr.split('_');
            var artikel = getArtikelDetails(id[1]);
            $('#artdetail').html(artikel);
            $('a#rButton').css('display', 'block');
            $.mobile.changePage('#artikelDetails');
        });

        function showList(ausgabe) {
            $('#info').html('');
            $('#info').html(ausgabe); // ul #listview mit id #info
            $('div.ladeAnimation').hide();
            $.mobile.changePage('#artikelListe');
        } 
        /**********************************************************  Artikelausgabe Bereich   *************************************************/
        
        /**********************************************************  Suchebereich   *************************************************/

        function sucheArtikel(such) {
            $.getJSON('https://zoxs.de/app/app.php?myfunc=?', {
                method: 'suche',
                code: such
            }, function(data) {
                // Wenn nichts gefunde wurde, liefert Meldung zurück, dass nicht gefunden wurde 
                if (data.meldung) {
                    $('div.ladeAnimation').hide();
                    $('p#meldung').text(data.meldung);
                } else {
                    artikels = data; // Das resultat in der globalen variable artikels(type=Objekt) speichern, damit man dann später damit auch arbeiten kann
                    // Wenn mehrere Artikels gefunden wurden, div mit der id #artikelListe ausgeben
                    if (data.length > 1) {
                        ausgabe = getDetailsListe(data);
                        showList(ausgabe);
                    } else {
                        var art = ''; // Wenn nur ein Artikel gefunden wurde div mit id #artikelDetails ausgeben
                        $.each(data, function(key, val) {
                            art = getArtikelDetails(val.aid);
                        });
                        $('#artdetail').html(art);
                        $('div.ladeAnimation').hide();
                        $.mobile.changePage('#artikelDetails');
                    }
                }
            });
        }
        // Macht anfrage an den Webserver
        $('#suchean').click(function() {
            if (istonline) {
                var code = $('#code').val();
                if (code) {
                    $('div.ladeAnimation').show();
                    sucheArtikel(code);
                } else {
                    $('p#meldung').text('Bitte zuerst Suchbegriff eingeben');
                }
            } else
            $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
        });
        $('#suchean2').click(function() {
            if (istonline) {
                var code = $('#code2').val();
                if (code) {
                    $('div.ladeAnimation').show();
                    sucheArtikel(code);
                } else {
                    $('p#meldung').text('Bitte zuerst Suchbegriff eingeben');
                }
            } else
            $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
        });
        $('#suchean3').click(function() {
            if (istonline) {
                var code = $('#code3').val();
                if (code) {
                    $('div.ladeAnimation').show();
                    sucheArtikel(code);
                } else {
                    $('p#meldung').text('Bitte zuerst Suchbegriff eingeben');
                }
            } else
            $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
        });
        $('#suchean4').click(function() {
            if (istonline) {
                var code = $('#code4').val();
                if (code) {
                    $('div.ladeAnimation').show();
                    sucheArtikel(code);
                } else {
                    $('p#meldung').text('Bitte zuerst Suchbegriff eingeben');
                }
            } else
            $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
        });
        // Startet den Barcode scanner
        $('.scan').click(function() {
            var scanner = cordova.require("cordova/plugin/BarcodeScanner");
            scanner.scan(function(args) {
                if (istonline) {
                    //console.log("Scanner result: \n" + "text: " + args.text + "\n" + "format: " + args.format + "\n" + "cancelled: " + args.cancelled + "\n");
                    /*if (args.format == "QR_CODE") {
	                    window.plugins.childBrowser.showWebPage(args.text, { showLocationBar: false });
	                }*/
                    $('div.ladeAnimation').show();
                    sucheArtikel(args.text);
                } else
                $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
            });
        });
        /**********************************************************  Suchebereich ende   *************************************************/
        /**********************************************************  Loginbereich   *****************************************************/
        // Login function

        function goLogin(username, passwort, flag) {
            if (istonline) {
                $('div.ladeAnimation').show();
                $.getJSON('https://zoxs.de/app/app.php?myfunc=?', {
                    method: 'auth',
                    user: username,
                    pass: passwort
                }, function(data) {
                    if (data.meldung) {
                        $('div.ladeAnimation').hide();
                        $('li#userNoExist').text(data.meldung);
                    } else {
                        localStorage.setItem('username', data.mail);
                        localStorage.setItem('passwort', passwort);
                        showMyData(data);
                        $(':input').removeAttr('style');
                        $('li#errorMeld').html('');
                        $('span#agbMeld').text('');
                        $('div.ladeAnimation').hide();
                        if (flag) {
                            $.mobile.changePage('#myData');
                        } else {
                            $('a.einloggen').css('display', 'none');
                            $('a.myData').removeAttr('style');
                        }
                    }
                });
            } else {
                $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
            }
        }     
        // Automatische login funktion
        if(localStorage.getItem('username') && localStorage.getItem('passwort') && istonline) {
            var username = localStorage.getItem('username');
            var passwort = localStorage.getItem('passwort')
            goLogin(username, passwort, 0);
        }
        // Oder Benutzer kann sich manuell einloggen
        $('a#loginGo').live('click', function() {
            if ($('li#userNoExist').text() != '') {
                $('li#userNoExist').text('');
            }
            var username = $('#username').val();
            var passwort = $('#pass').val();
            goLogin(username, passwort, 1);
        });
        // Ausloggen function
        $('a#logOut').live('click', function() {
            localStorage.removeItem('username');
            localStorage.removeItem('passwort');
            hideUserData();
            $('input#username').val('');
            $('input#pass').val('');
            $('form#artBForm input:text').val('');
            $('form#artBForm input:checkbox')
                .removeAttr('checked')
                .prev('label').removeClass('ui-checkbox-on').addClass('ui-checkbox-off')
                .find('span.ui-icon').removeClass('ui-icon-checkbox-on').addClass('ui-icon-checkbox-off');
            $.mobile.changePage('#login');
            $('a.myData').css('display', 'none');
            $('a.einloggen').removeAttr('style');
        });
        // Füllt page #myData mit Daten

        function showMyData(myData) {
            if (myData) {
                // Zuerst die #myData ausfüllen
                $('span#userFirma').html(escapeHtmlEntities(utf8_decode(myData.firma)));
                $('span#userName').html(escapeHtmlEntities(utf8_decode(myData.vorname + ' ' + myData.name)));
                $('span#userStrasse').html(escapeHtmlEntities(utf8_decode(myData.strasse + ' ' + myData.hausnr)));
                $('span#userPLZ').html(escapeHtmlEntities(utf8_decode(myData.plz + ' ' + myData.ort)));
                $('span#userTelefon').html(escapeHtmlEntities(utf8_decode(myData.telvorwahl + ' ' + myData.telnummer)));
                $('span#userMail').html(escapeHtmlEntities(utf8_decode(myData.mail)));
                if (myData.zusatz1 == 'bank') {
                    $('span#kontoInhaber').html(escapeHtmlEntities(utf8_decode(myData.zusatz2)));
                    $('span#kontoNummer').html(escapeHtmlEntities(utf8_decode(myData.zusatz3)));
                    $('span#bankLeitzahl').html(escapeHtmlEntities(utf8_decode(myData.zusatz4)));
                    $('span#userBank').html(escapeHtmlEntities(utf8_decode(myData.zusatz5)));
                    $('ul#userBankData').show();
                } else if (myData.zusatz1 == 'paypal') {
                    $('span#mailPayPal').html(escapeHtmlEntities(utf8_decode(myData.zusatz2)));
                    $('div#userPAyPal').show();
                }
                var news = (parseInt(myData.newsletter) > 0) ? 'Newsletter ist abonniert.' : 'Kein Newsletter abonniert.';
                $('span#userNewsletter').text(news);
                // Danach den Formular für Warenkorb
                $('input#vorname').val(utf8_decode(myData.vorname));
                $('input#nachname').val(utf8_decode(myData.name));
                $('input#firma').val(utf8_decode(myData.firma));
                $('input#strasse').val(utf8_decode(myData.strasse));
                $('input#hausnr').val(utf8_decode(myData.hausnr));
                $('input#plz').val(utf8_decode(myData.plz));
                $('input#ort').val(utf8_decode(myData.ort));
                $('input#telvorwahl').val(utf8_decode(myData.telvorwahl));
                $('input#telnummer').val(utf8_decode(myData.telnummer));
                $('input#email').val(utf8_decode(myData.mail));
                if (myData.zusatz1 == 'bank') {
                    $('li#paypaldaten').hide();
                    $('label#labelPaypal').removeClass('ui-radio-on').addClass('ui-radio-off');
                    $('label#labelBank').removeClass('ui-radio-off').addClass('ui-radio-on');
                    $('input#paypal').removeAttr('checked');
                    $('input#bank').attr('checked', 'checked');
                    $('input#kontoinh').val(utf8_decode(myData.zusatz2));
                    $('input#kontonr').val(utf8_decode(myData.zusatz3));
                    $('input#kontoblz').val(utf8_decode(myData.zusatz4));
                    $('input#kontobank').val(utf8_decode(myData.zusatz5));
                    $('li#bankdaten').show();
                } else if (myData.zusatz1 == 'paypal') {
                    $('li#bankdaten').hide();
                    $('label#labelBank').removeClass('ui-radio-on').addClass('ui-radio-off');
                    $('label#labelPaypal').removeClass('ui-radio-off').addClass('ui-radio-on');
                    $('input#bank').removeAttr('checked');
                    $('input#paypal').attr('checked', 'checked');
                    $('input#paypalemail').val(utf8_decode(myData.zusatz2));
                    $('li#paypaldaten').show();
                }
                if (parseInt(myData.newsletter) > 0) {
                    $('input#newsletter')
                        .attr('checked', 'checked')
                        .prev('label').removeClass('ui-checkbox-off').addClass('ui-checkbox-on')
                        .find('span.ui-icon').removeClass('ui-icon-checkbox-off').addClass('ui-icon-checkbox-on');
                }
                $('a.einloggen').css('display', 'none');
                $('a.myData').removeAttr('style');
            }
        }
        
        function hideUserData(){
            $('span#userFirma').text('');
                $('span#userName').text('');
                $('span#userStrasse').text('');
                $('span#userPLZ').text('');
                $('span#userTelefon').text('');
                $('span#userMail').text('');
                $('span#kontoInhaber').text('');
                $('span#kontoNummer').text('');
                $('span#bankLeitzahl').text('');
                $('span#userBank').text('');
                $('span#mailPayPal').text('');
                $('span#userNewsletter').text('');
        }
        
        /*********************************************************  Loginbereich ende    *******************************************/
        /********************************************************   Warenkorbbereich     *******************************************/
        // funktion ändert den Preis im Artikeldetails

        function showPreis(gesamt) {
            if (parseFloat(gesamt) > 0) {
                $('#art_preis').text(number_format(parseFloat(gesamt), 2, ',', '.'));
            } else {
                $('#art_preis').text(number_format(0.01, 2, ',', '.'));
            }
            return false;
        }
        // Function berechnet den Preis für Artikel abzüglich Mängels

        function getProzente(summe, prozent) {
            var total = (summe / 100) * prozent;
            return total;
        }
        // Formular beim Klick auf Preis aktualisieren durchlaufen und diesen zurückgeben

        function priceRefresh() {
            if (!orgpreis)
                var orgpreis = $('input#price').val();
            //alert(orgpreis);
            var preis = orgpreis; // Preis aus input hidden auslesen
            var artikelPreis = parseFloat(preis);
            var gesamt = artikelPreis; // Summe die für Artikel bezahlt wird, abzüglich Mängeln in Prozents
            $('select').each(function() {
                if ($(this).val() && $(this).not('.optZustand')) {
                    //alert($(this).val());
                    var wert = $(this).val().split(';');
                    var prozent = parseFloat(wert[1]);
                    if (prozent > 0 || prozent < 0) {
                        if (wert[0] == 'nein' || wert[0] == 'ja') {
                            gesamt -= getProzente(artikelPreis, prozent);
                        } else {
                            gesamt -= getProzente(gesamt, prozent);
                        }
                    }
                }
            });
            // Wenn zu viele Mängeln, kann sein das der Preis zu niedrig ausfällt, überprüfen ob das der Fall ist und wenn nötig auf min 10% vom Preis setzen
            var min = artikelPreis - ((artikelPreis / 100) * 95);
            if (parseFloat(min) > parseFloat(gesamt)) {
                gesamt = min;
            }
            return gesamt;
        }
        //  Falls neue Mängeln ausgewählt werden Preis aktualisieren
        $('select').live('change', function() {
            var gesamt = priceRefresh();
            showPreis(gesamt); // Preis ausgabe span#art_preis
        });
        // Beim klick auf "zum Warenkorb hinzufügen"
        $('#artKorb').live('click', function() {
            $('a#rButton').css('display', 'none');
            if (istonline) {
                $('div.ladeAnimation').show();
                var artDetails = '';
                $('select').each(function() {
                    if ($(this).attr('name') == 'angaben[zustand]') {
                        artDetails += 'zustand:' + $(this).val();
                        return false;
                    } else {
                        var qid = $(this).attr('name').split('_');
                        artDetails += qid[1] + ':' + $(this).val() + '|';
                    }
                });
                $.getJSON('https://zoxs.de/app/app.php?myfunc=?', {
                    method: 'basket',
                    action: 'addToBasket',
                    asin: $('input#asin').val(),
                    anfrage: $('input#anfrage').val(),
                    options: artDetails
                }, function(data) {
                    $('div.ladeAnimation').hide();
                    if (parseInt(data.meldung) > 0) {
                        localStorage.setItem('sessionid', data.session);
                        $('div#basketArea').html('');
                        showBasket();
                        $.mobile.changePage('#basket');
                        //$('#artKorb, #rButton').show();
                    } else {
                        $('#basketError').text('Artikel koennte leider nicht gespeichert werden! Bitte versuchen Sie es erneut!');
                    }
                });
            } else
            $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
        });
        // Wenn Warenkorb seite geladen wird
        $('a.artKorb').live('click', function() {
            if (istonline) {
                $('div#basketArea').html('');
                $('a.addArt, a.minArt, a.delArt').show();
                $('div#finalData').hide();
                showBasket();
            } else {
                $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
                return false;
            }
        });

        function showBasket() {
            $('div.ladeAnimation').show();
            // Da var basketSumme global ist, wieder auf 0 setzen
            basketSumme = 0;
            $.getJSON('https://zoxs.de/app/app.php?myfunc=?', {
                method: 'basket',
                action: 'getBasket',
                sid: localStorage.getItem('sessionid')
            }, function(data) {
                if (data) {
                    var textaus = '';
                    if (data.meldung) {
                        localStorage.removeItem('sessionid');
                        textaus = data.meldung;
                        $('#basketForm').hide();
                        $('div#basketScan').hide();
                        $('a#basketGo').hide();
                        $('#basketSumme').text('').hide();
                    } else {
                        $.each(data, function(key, val) {
                            textaus += getBasketArtikel(val);
                        });
                        $('#basketForm').hide();
                        $('div#basketScan').show();
                        $('a#basketGo').show();
                        $('#basketSumme').show();
                    }
                    $('div#basketArea').html(textaus);
                    $('div.ladeAnimation').hide();
                }
            });
        }
        // Einzelner Artikel im Warenkorb schreiben

        function getBasketArtikel(art) {
            var textzusatz = '';
            var textaus = '';
            var questions = '';
            var priceAll = parseFloat(art.anz) * parseFloat(art.preis);
            $.each(art.questions, function(key, val) {
                questions += escapeHtmlEntities(utf8_decode(val)) + '<br />';
            });
            var options = questions.substring(0, (questions.length - 6));
            var temp = $('ul#basketArtikel').clone().removeAttr('id').show();
            $.each(temp, function(s, v) {
                $(v).find('li.artTitel').html(art.anz + 'x ' + escapeHtmlEntities(utf8_decode(art.titel)));
                //$(v).find('li.artDesc').text(options);
                $(v).find('li.artDesc').html(options);
                //$(v).find('li.artEAN').text('EAN: ' + art.ean);
                $(v).find('img.artImgBasket').attr('src', art.image);
                //$(v).find('span.artAnzahl').text(art.anz);
                //$(v).find('span.artBasketPrice').html('Einzelpreis: ' + number_format(parseFloat(art.preis), 2, ',', '.') + ' EUR');
                $(v).find('p.basketPriceAll').html('VK-Wert: <span class="priceAll">' + number_format(parseFloat(priceAll), 2, ',', '.') + ' EUR</span>');
                $(v).find('a.addArt').attr('id', 'add_' + art.asin);
                $(v).find('a.minArt').attr('id', 'min_' + art.asin);
                $(v).find('a.delArt').attr('id', 'del_' + art.asin);
                basketSumme += priceAll;
                textaus += v.outerHTML;
            });
            if (parseFloat(basketSumme) < 30)
                textzusatz = '<span class="zusatz">Ab 30 Euro Verkaufswert erhalten Sie einen gratis DHL-Paketschein.</span>';
            else
                textzusatz = '<span class="zusatz">Sie haben erfolgreich die Grenze f&uuml;r einen gratis DHL-Paketschein erreicht.</span>';
            $('#basketSumme').html('Verkaufssumme: ' + number_format(parseFloat(basketSumme), 2, ',', '.') + ' EUR'+textzusatz);
            return textaus;
        }
        // Beim Klick auf Artikel + oder - oder x 
        $('a.editArtAnzahl').live('click', function() {
            if (istonline) {
                $('div.ladeAnimation').show();
                var artId = $(this).attr('id');
                var asin = artId.split('_');
                $.getJSON('https://zoxs.de/app/app.php?myfunc=?', {
                    method: 'basket',
                    action: 'modBasket',
                    act: asin[0],
                    artid: asin[1],
                    sid: localStorage.getItem('sessionid')
                }, function(data) {
                    $('div.ladeAnimation').hide();
                    if (parseInt(data.meldung) > 0) {
                        $('div#basketArea').html('');
                        showBasket();
                    } else {
                        console.log('Leider nicht geklappt!');
                    }
                });
            } else
            $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
        });
        // beim Klick auf Verkauf abschließen
        $('#basketGo').live('click', function() {
            $('a.addArt, a.minArt, a.delArt').hide();
            $(this).hide();
            $('div#basketScan').hide();
            $('ul#basketForm').slideToggle(500);
        });
        // Bank bzw. PayPal Formular zeigen
        $('input[name=zahlungsart]').live('change', function() {
            switch ($(this).attr('id')) {
            case 'bank':
                $('li#paypaldaten').hide();
                $('li#bankdaten').show();
                break;
            case 'paypal':
                $('li#bankdaten').hide();
                $('li#paypaldaten').show();
                break;
            }
        });
        // Beim klick auf Daten ändern
        $('a#dataChange').live('click', function() {
            $('div#finalData').slideToggle(500);
            $('ul#basketForm').slideToggle(500);
        });
        // Finale Seite vor dem Kauf zeigen

        function showFinalData(myData) {
            if(myData){
                var html = '';
                $('div#footerFinal').html('');
                $('a.addArt, a.minArt, a.delArt').hide();
                var tmp = $('div#userDataContent').clone().removeAttr('id');
                $.each(tmp, function(s, v) {
                    $(v).find('span#userFirma').html(escapeHtmlEntities(myData.firma));
                    $(v).find('span#userName').html(escapeHtmlEntities(myData.vorname + ' ' + myData.nachname));
                    $(v).find('span#userStrasse').html(escapeHtmlEntities(myData.strasse + ' ' + myData.hausnr));
                    $(v).find('span#userPLZ').html(escapeHtmlEntities(myData.plz + ' ' + myData.ort));
                    $(v).find('span#userTelefon').html(escapeHtmlEntities(myData.telvorwahl + ' ' + myData.telnummer));
                    $(v).find('span#userMail').html(escapeHtmlEntities(myData.email));
                    if (myData.zahlungsart == 'bank') {
                        $(v).find('span#kontoInhaber').html(escapeHtmlEntities(myData.kontoinh));
                        $(v).find('span#kontoNummer').html(escapeHtmlEntities(myData.kontonr));
                        $(v).find('span#bankLeitzahl').html(escapeHtmlEntities(myData.kontoblz));
                        $(v).find('span#userBank').html(escapeHtmlEntities(myData.kontobank));
                        $(v).find('ul#userBankData').show();
                    } else if (myData.zahlungsart == 'paypal') {
                        $(v).find('span#mailPayPal').html(escapeHtmlEntities(myData.paypalemail));
                        $(v).find('div#userPAyPal').show();
                    }
                    html += v.outerHTML;
                });
                $('div#footerFinal').html(html);
                $('ul#basketForm').slideToggle(500);
                $('div#finalData').find('span#finalHinweis').html(escapeHtmlEntities(myData.hinweise));
                var newsletter = (myData.newsletter) ? 'Ja, ich will Newsletter abonnieren.' : 'Nein, ich will keine Newsletter abonnieren.';
                $('div#finalData').find('span#finalNewsletter').text(newsletter);
                $('div#finalData').slideToggle(500);
            } else {
                console.log('Function showfinalData myData leer');
            }
        }
        // Formulardaten auslesen und überprüfen
        $('a#checkBasketForm').live('click', function() {
            if (istonline) {
                $(':input').removeAttr('style');
                $('li#errorMeld').html('');
                $('span#agbMeld').text('');
                if ($('#agb').attr('checked') == 'checked') {
                    $('div.ladeAnimation').show();
                    var form = $('form#artBForm').serialize();
                    $.getJSON('https://zoxs.de/app/app.php?myfunc=?', {
                        method: 'checkFelder',
                        daten: form
                    }, function(data) {
                        if (data.error) {
                            var vallen = '';
                            var fields = '';
                            $.each(data.error, function(key, val) {
                                $.each(val, function(k, v) {
                                    $('input#' + k).css('border', 'solid 1px red');
                                    if (v.leer) {
                                        fields += v.leer + ', ';
                                    }
                                    if (v.minlen) {
                                        vallen += '<li>Das Feld "' + v.feld + '" darf nur zwischen ' + v.minlen + ' und ' + v.maxlen + ' Zeichen lang sein!</li>';
                                    }
                                    if (v.type) {
                                        vallen += '<li>Das Feld "' + v.feldname + '" darf nur ' + v.type + ' enthalten!</li>';
                                    }
                                    /*if (v.unique) {
		                                vallen += '<li>E-Mail "' + v.unique + '" ist schon in unserer Datenbank vorhanden!<br /> Wenn Sie sich bei uns schon mal registriert haben, loggen Sie sich bitte ein!</li>';
		                            }*/
                                });
                            });
                            if (fields) {
                                fields = fields.substr(0, (fields.length - 2));
                                var meld = '<p class="errorMelds">Bitte noch folgende Felder ausfuellen ' + fields + '!</p>';
                                $('li#errorMeld').html(meld);
                            }
                            if (vallen) {
                                meld = '<ul class="errorMelds">' + vallen + '</ul>';
                                $('li#errorMeld').append(meld);
                            }
                            $('div.ladeAnimation').hide();
                        } else {
                            $('div.ladeAnimation').hide();
                            showFinalData(data.daten);
                        }
                    });
                } else {
                    $('span#agbMeld').text('Bitte bestaetigen Sie zuerst unsere AGB!');
                }
            } else
                $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
        }); /***********************************************  Warenkorbbereich ende ****************************************************/
        /***********************************************  Verkaufvorgang abschließen	********************************************/
        $('a#finalGo').live('click', function() {
            if (istonline) {
                $('div.ladeAnimation').show();
                var form = $('form#artBForm').serialize();
                $.getJSON('https://zoxs.de/app/app.php?myfunc=?', {
                    method: 'finalStep',
                    daten: form
                }, function(data) {
                    if (data) {
                        localStorage.removeItem('sessionid');
                        $('div.ladeAnimation').hide();
                        $('p#finalMeldung').html('Vielen Dank f&uuml;r Ihren Verkauf! Sie werden in den n&auml;chsten Minuten eine Best&auml;tigungs E-Mail von uns erhalten.');
                        $.mobile.changePage('#verkaufende');
                        $('div#basketArea').html('');
                        $('div#basketSumme').html('');
                    } else {
                        $('div.ladeAnimation').hide();
                        $('p#finalMeldung').text('Vorgang war leider nicht erfolgreich. Bitte kontaktieren Sie uns per E-Mail! Danke!');
                        $.mobile.changePage('#verkaufende');
                    }
                });
            } else
            $('div#inetAnimation').fadeIn().delay(8000).fadeOut(500);
        });
        $("a[target='_blank']").live('click', function(e){
          e.preventDefault();
          window.open($(e.currentTarget).attr('href'), '_system', '');
        });
    });
} catch (error) {
    console.error("Your javascript has an error: " + error);
}


if(typeof escapeHtmlEntities == 'undefined') {
        escapeHtmlEntities = function (text) {
            return text.replace(/[\u00A0-\u2666<>\&]/g, function(c) {
                return '&' + 
                (escapeHtmlEntities.entityTable[c.charCodeAt(0)] || '#'+c.charCodeAt(0)) + ';';
            });
        };

        // all HTML4 entities as defined here: http://www.w3.org/TR/html4/sgml/entities.html
        // added: amp, lt, gt, quot and apos
        escapeHtmlEntities.entityTable = {
            34 : 'quot', 
            38 : 'amp', 
            39 : 'apos', 
            60 : 'lt', 
            62 : 'gt', 
            160 : 'nbsp', 
            161 : 'iexcl', 
            162 : 'cent', 
            163 : 'pound', 
            164 : 'curren', 
            165 : 'yen', 
            166 : 'brvbar', 
            167 : 'sect', 
            168 : 'uml', 
            169 : 'copy', 
            170 : 'ordf', 
            171 : 'laquo', 
            172 : 'not', 
            173 : 'shy', 
            174 : 'reg', 
            175 : 'macr', 
            176 : 'deg', 
            177 : 'plusmn', 
            178 : 'sup2', 
            179 : 'sup3', 
            180 : 'acute', 
            181 : 'micro', 
            182 : 'para', 
            183 : 'middot', 
            184 : 'cedil', 
            185 : 'sup1', 
            186 : 'ordm', 
            187 : 'raquo', 
            188 : 'frac14', 
            189 : 'frac12', 
            190 : 'frac34', 
            191 : 'iquest', 
            192 : 'Agrave', 
            193 : 'Aacute', 
            194 : 'Acirc', 
            195 : 'Atilde', 
            196 : 'Auml', 
            197 : 'Aring', 
            198 : 'AElig', 
            199 : 'Ccedil', 
            200 : 'Egrave', 
            201 : 'Eacute', 
            202 : 'Ecirc', 
            203 : 'Euml', 
            204 : 'Igrave', 
            205 : 'Iacute', 
            206 : 'Icirc', 
            207 : 'Iuml', 
            208 : 'ETH', 
            209 : 'Ntilde', 
            210 : 'Ograve', 
            211 : 'Oacute', 
            212 : 'Ocirc', 
            213 : 'Otilde', 
            214 : 'Ouml', 
            215 : 'times', 
            216 : 'Oslash', 
            217 : 'Ugrave', 
            218 : 'Uacute', 
            219 : 'Ucirc', 
            220 : 'Uuml', 
            221 : 'Yacute', 
            222 : 'THORN', 
            223 : 'szlig', 
            224 : 'agrave', 
            225 : 'aacute', 
            226 : 'acirc', 
            227 : 'atilde', 
            228 : 'auml', 
            229 : 'aring', 
            230 : 'aelig', 
            231 : 'ccedil', 
            232 : 'egrave', 
            233 : 'eacute', 
            234 : 'ecirc', 
            235 : 'euml', 
            236 : 'igrave', 
            237 : 'iacute', 
            238 : 'icirc', 
            239 : 'iuml', 
            240 : 'eth', 
            241 : 'ntilde', 
            242 : 'ograve', 
            243 : 'oacute', 
            244 : 'ocirc', 
            245 : 'otilde', 
            246 : 'ouml', 
            247 : 'divide', 
            248 : 'oslash', 
            249 : 'ugrave', 
            250 : 'uacute', 
            251 : 'ucirc', 
            252 : 'uuml', 
            253 : 'yacute', 
            254 : 'thorn', 
            255 : 'yuml', 
            402 : 'fnof', 
            913 : 'Alpha', 
            914 : 'Beta', 
            915 : 'Gamma', 
            916 : 'Delta', 
            917 : 'Epsilon', 
            918 : 'Zeta', 
            919 : 'Eta', 
            920 : 'Theta', 
            921 : 'Iota', 
            922 : 'Kappa', 
            923 : 'Lambda', 
            924 : 'Mu', 
            925 : 'Nu', 
            926 : 'Xi', 
            927 : 'Omicron', 
            928 : 'Pi', 
            929 : 'Rho', 
            931 : 'Sigma', 
            932 : 'Tau', 
            933 : 'Upsilon', 
            934 : 'Phi', 
            935 : 'Chi', 
            936 : 'Psi', 
            937 : 'Omega', 
            945 : 'alpha', 
            946 : 'beta', 
            947 : 'gamma', 
            948 : 'delta', 
            949 : 'epsilon', 
            950 : 'zeta', 
            951 : 'eta', 
            952 : 'theta', 
            953 : 'iota', 
            954 : 'kappa', 
            955 : 'lambda', 
            956 : 'mu', 
            957 : 'nu', 
            958 : 'xi', 
            959 : 'omicron', 
            960 : 'pi', 
            961 : 'rho', 
            962 : 'sigmaf', 
            963 : 'sigma', 
            964 : 'tau', 
            965 : 'upsilon', 
            966 : 'phi', 
            967 : 'chi', 
            968 : 'psi', 
            969 : 'omega', 
            977 : 'thetasym', 
            978 : 'upsih', 
            982 : 'piv', 
            8226 : 'bull', 
            8230 : 'hellip', 
            8242 : 'prime', 
            8243 : 'Prime', 
            8254 : 'oline', 
            8260 : 'frasl', 
            8472 : 'weierp', 
            8465 : 'image', 
            8476 : 'real', 
            8482 : 'trade', 
            8501 : 'alefsym', 
            8592 : 'larr', 
            8593 : 'uarr', 
            8594 : 'rarr', 
            8595 : 'darr', 
            8596 : 'harr', 
            8629 : 'crarr', 
            8656 : 'lArr', 
            8657 : 'uArr', 
            8658 : 'rArr', 
            8659 : 'dArr', 
            8660 : 'hArr', 
            8704 : 'forall', 
            8706 : 'part', 
            8707 : 'exist', 
            8709 : 'empty', 
            8711 : 'nabla', 
            8712 : 'isin', 
            8713 : 'notin', 
            8715 : 'ni', 
            8719 : 'prod', 
            8721 : 'sum', 
            8722 : 'minus', 
            8727 : 'lowast', 
            8730 : 'radic', 
            8733 : 'prop', 
            8734 : 'infin', 
            8736 : 'ang', 
            8743 : 'and', 
            8744 : 'or', 
            8745 : 'cap', 
            8746 : 'cup', 
            8747 : 'int', 
            8756 : 'there4', 
            8764 : 'sim', 
            8773 : 'cong', 
            8776 : 'asymp', 
            8800 : 'ne', 
            8801 : 'equiv', 
            8804 : 'le', 
            8805 : 'ge', 
            8834 : 'sub', 
            8835 : 'sup', 
            8836 : 'nsub', 
            8838 : 'sube', 
            8839 : 'supe', 
            8853 : 'oplus', 
            8855 : 'otimes', 
            8869 : 'perp', 
            8901 : 'sdot', 
            8968 : 'lceil', 
            8969 : 'rceil', 
            8970 : 'lfloor', 
            8971 : 'rfloor', 
            9001 : 'lang', 
            9002 : 'rang', 
            9674 : 'loz', 
            9824 : 'spades', 
            9827 : 'clubs', 
            9829 : 'hearts', 
            9830 : 'diams', 
            338 : 'OElig', 
            339 : 'oelig', 
            352 : 'Scaron', 
            353 : 'scaron', 
            376 : 'Yuml', 
            710 : 'circ', 
            732 : 'tilde', 
            8194 : 'ensp', 
            8195 : 'emsp', 
            8201 : 'thinsp', 
            8204 : 'zwnj', 
            8205 : 'zwj', 
            8206 : 'lrm', 
            8207 : 'rlm', 
            8211 : 'ndash', 
            8212 : 'mdash', 
            8216 : 'lsquo', 
            8217 : 'rsquo', 
            8218 : 'sbquo', 
            8220 : 'ldquo', 
            8221 : 'rdquo', 
            8222 : 'bdquo', 
            8224 : 'dagger', 
            8225 : 'Dagger', 
            8240 : 'permil', 
            8249 : 'lsaquo', 
            8250 : 'rsaquo', 
            8364 : 'euro'
        };
    }
    
function utf8_decode(str_data) {
  //  discuss at: http://phpjs.org/functions/utf8_decode/
  // original by: Webtoolkit.info (http://www.webtoolkit.info/)
  //    input by: Aman Gupta
  //    input by: Brett Zamir (http://brett-zamir.me)
  // improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
  // improved by: Norman "zEh" Fuchs
  // bugfixed by: hitwork
  // bugfixed by: Onno Marsman
  // bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
  // bugfixed by: kirilloid
  //   example 1: utf8_decode('Kevin van Zonneveld');
  //   returns 1: 'Kevin van Zonneveld'

  var tmp_arr = [],
    i = 0,
    ac = 0,
    c1 = 0,
    c2 = 0,
    c3 = 0,
    c4 = 0;

  str_data += '';

  while (i < str_data.length) {
    c1 = str_data.charCodeAt(i);
    if (c1 <= 191) {
      tmp_arr[ac++] = String.fromCharCode(c1);
      i++;
    } else if (c1 <= 223) {
      c2 = str_data.charCodeAt(i + 1);
      tmp_arr[ac++] = String.fromCharCode(((c1 & 31) << 6) | (c2 & 63));
      i += 2;
    } else if (c1 <= 239) {
      // http://en.wikipedia.org/wiki/UTF-8#Codepage_layout
      c2 = str_data.charCodeAt(i + 1);
      c3 = str_data.charCodeAt(i + 2);
      tmp_arr[ac++] = String.fromCharCode(((c1 & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
      i += 3;
    } else {
      c2 = str_data.charCodeAt(i + 1);
      c3 = str_data.charCodeAt(i + 2);
      c4 = str_data.charCodeAt(i + 3);
      c1 = ((c1 & 7) << 18) | ((c2 & 63) << 12) | ((c3 & 63) << 6) | (c4 & 63);
      c1 -= 0x10000;
      tmp_arr[ac++] = String.fromCharCode(0xD800 | ((c1 >> 10) & 0x3FF));
      tmp_arr[ac++] = String.fromCharCode(0xDC00 | (c1 & 0x3FF));
      i += 4;
    }
  }

  return tmp_arr.join('');
}